AddVertex 方法 (ActiveX)
将顶点添加到轻量级折线或截面。 支持的平台:仅限 Windows 签名VBA: object.AddVertex Index, Point
返回值 (RetVal)无返回值。 言论LWPolyline:顶点指定新线段的端点。要将弧段添加到轻量级折线,请先创建线段,然后将“凸起”添加到要成为弧的单个线段。若要向区段添加凸起值,请使用该方法。SetBulge 截面:顶点指定截面线上的一个点。 可以使用该方法将坐标转换为 OCS 或从 OCS 转换坐标。TranslateCoordinates 例子VBA: Sub Example_AddVertex() ' This example creates a lightweight polyline in model space. ' It then adds a vertex to the polyline. Dim plineObj As AcadLWPolyline Dim points(0 To 9) As Double ' Define the 2D polyline points points(0) = 1: points(1) = 1 points(2) = 1: points(3) = 2 points(4) = 2: points(5) = 2 points(6) = 3: points(7) = 2 points(8) = 4: points(9) = 4 ' Create a lightweight Polyline object in model space Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points) ZoomAll MsgBox "Add a vertex to the end of the polyline.", , "AddVertex Example" ' Define the new vertex Dim newVertex(0 To 1) As Double newVertex(0) = 4: newVertex(1) = 1 ' Add the vertex to the polyline plineObj.AddVertex 5, newVertex plineObj.Update MsgBox "Vertex added.", , "AddVertex Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AddVertex() ;; This example creates a lightweight polyline in model space. ;; It then adds a vertex to the polyline. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the 2D polyline points (setq points (vlax-make-safearray vlax-vbDouble '(0 . 9))) (vlax-safearray-fill points '(1 1 1 2 2 2 3 2 4 4 ) ) ;; Create a lightweight Polyline object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq plineObj (vla-AddLightWeightPolyline modelSpace points)) (vla-ZoomAll acadObj) (alert "Add a vertex to the end of the polyline.") ;; Define the new vertex (setq newVertex (vlax-make-safearray vlax-vbDouble '(0 . 1))) (vlax-safearray-fill newVertex '(4 1)) ;; Add the vertex to the polyline (vla-AddVertex plineObj 5 newVertex) (vla-Update plineObj) (alert "Vertex added.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:48
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.